eric ide

Issue162

Classification
Title: Problem launching Eric6 on Ubuntu 14.10 (QsciLexerPython : unexpected type 'Shell')
Type: crash Product: eric6
Process
Priority: high    
Status: closed Resolution: rejected
Superseder: Nosy List: Davy39, detlev
Assigned to: Keywords:

Created on 2014-11-06.04:13:45 by Davy39, last changed by Davy39.

Messages (7.0)
msg584 (view) Author: Davy39 Date: 2014-11-10.06:21:40
Update to inform that I've reported the bug here :
https://bugs.launchpad.net/ubuntu/+source/pyqt5/+bug/1391056
msg582 (view) Author: Davy39 Date: 2014-11-09.06:29:50
Thanks Detlev !
You were definitively right : I had not installed PyQt5.qsci in the right place
: by default when configuring PyQt5.qsci built, the install path is
/usr/lib/python3.4/site-packages/PyQt5. To make it work with default Ubuntu
installation, I had to manually define this install path :
/usr/lib/python3/dist-packages/PyQt5

So finally, the simplest way to install Eric6 on Ubuntu 14.10 is :
#Install some dependencies
sudo apt-get install mercurial build-essential qt5-default
qtbase5-qttools5-dev-tools libqt5scintilla2-11 python3-pyqt5.qtwebkit
python3-pyqt5.qtsvg python3-pyqt5.qtsql
#Build PyQt5.qsci from sources
sudo apt-get sources python3-pyqt5.qsci
cd qscintilla2-2.8.3+dfsg/Python
python3 configure.py --pyqt=PyQt5 -q /usr/lib/x86_64-linux-gnu/qt5/bin/qmake -d
/usr/lib/python3/dist-packages/PyQt5
make
sudo make install
#Download and build Eric6 from sources
hg clone http://die-offenbachs.homelinux.org:48888/hg/eric
cd eric
sudo python3 install.py

Many thanks for your help !
msg580 (view) Author: detlev Date: 2014-11-07.17:37:59
That is really strange. Shell is derived from QObject through several stages. 
Therefore it should work without an issue. In the past these issues occurred, if 
PyQt was updated to a newer version and the QScintilla Python bindings were not 
redone for this version. In your case it could also be the case, that you have an 
older compile lying around somewhere. Yet another issue could be, that your 'sudo 
make install' installed somewhere else and the QScintilla installed via the 
package manager is still being used. I'd recommend to uninstall the "python3-
pyqt5.qsci" first and re-try.

Distributions have often screwed up this situation in the past. So the answer to 
msg578 is simply "yes"!
msg579 (view) Author: Davy39 Date: 2014-11-07.03:58:34
I tryed to do the following with no success :

sudo apt-get sources python3-pyqt5.qsci
cd qscintilla2-2.8.3+dfsg/Python
python3 configure.py --pyqt=PyQt5 -q /usr/lib/x86_64-linux-gnu/qt5/bin/qmake
make
sudo make install

Compilation and installation occurs with no errors, but I still get the same
error while trying to launch eric6...

PS : I've no problem running eric5.5 from sourceforge with python3-pyqt4.qsci
msg578 (view) Author: Davy39 Date: 2014-11-07.03:02:30
Would that mean that the "python3-pyqt5.qsci" package from official Ubuntu repos
is not built for the "python3-pyqt5" one ?
msg576 (view) Author: detlev Date: 2014-11-06.18:53:10
These kind of issue usually arise, when PyQt was updated, but the QScintilla Python 
bindings were not recompiled for this new PyQt version.
msg575 (view) Author: Davy39 Date: 2014-11-06.04:13:45
Hi,
I'm experimenting some problems while tring to launch Eric6 on Ubuntu 14.10
environment. Is eric6 already supposed to kind of work ?
For now, I didn't build anything but just installed Qt5/Python3/pyqt5/QSci from
official Ubuntu repositories.

Here are the logs :

```
--------------------------------------------------------------------------------
2014-11-06, 11:58:24
--------------------------------------------------------------------------------
<class 'TypeError'>: 
QsciLexerPython(QObject parent=None): argument 1 has unexpected type 'Shell'
--------------------------------------------------------------------------------
  File
"/usr/lib/python3/dist-packages/eric5/DebugClients/Python3/DebugClient.py", line
38, in <module>
    debugClient.main()
  File
"/usr/lib/python3/dist-packages/eric5/DebugClients/Python3/DebugClientBase.py",
line 2149, in main
    self.__interact()
  File
"/usr/lib/python3/dist-packages/eric5/DebugClients/Python3/DebugClientBase.py",
line 1049, in __interact
    self.eventLoop()
  File
"/usr/lib/python3/dist-packages/eric5/DebugClients/Python3/DebugClientBase.py",
line 1077, in eventLoop
    self.readReady(self.readstream.fileno())
  File "/usr/lib/python3/dist-packages/eric5/DebugClients/Python3/AsyncIO.py",
line 65, in readReady
    self.handleLine(s)
  File
"/usr/lib/python3/dist-packages/eric5/DebugClients/Python3/DebugClientBase.py",
line 566, in handleLine
    exec(code, self.debugMod.__dict__)
  File "/home/davy/developpement/repos/public/git-hg/eric/eric6.py", line 326,
in <module>
    main()
  File "/home/davy/developpement/repos/public/git-hg/eric/eric6.py", line 323,
in main
    raise err
  File "/home/davy/developpement/repos/public/git-hg/eric/eric6.py", line 306,
in main
    restartArgs)
  File "/home/davy/developpement/repos/public/git-hg/eric/UI/UserInterface.py",
line 227, in __init__
    self.__createLayout(debugServer)
  File "/home/davy/developpement/repos/public/git-hg/eric/UI/UserInterface.py",
line 620, in __createLayout
    self.__createSidebarsLayout(debugServer)
  File "/home/davy/developpement/repos/public/git-hg/eric/UI/UserInterface.py",
line 853, in __createSidebarsLayout
    ShellAssembly(debugServer, self.viewmanager, True)
  File "/home/davy/developpement/repos/public/git-hg/eric/QScintilla/Shell.py",
line 48, in __init__
    self.__shell = Shell(dbs, vm, self)
  File "/home/davy/developpement/repos/public/git-hg/eric/QScintilla/Shell.py",
line 236, in __init__
    self.__bindLexer()
  File "/home/davy/developpement/repos/public/git-hg/eric/QScintilla/Shell.py",
line 308, in __bindLexer
    self.lexer_ = Lexers.getLexer(self.language, self)
  File
"/home/davy/developpement/repos/public/git-hg/eric/QScintilla/Lexers/__init__.py",
line 209, in getLexer
    return LexerPython(language, parent)
  File
"/home/davy/developpement/repos/public/git-hg/eric/QScintilla/Lexers/LexerPython.py",
line 31, in __init__
    QsciLexerPython.__init__(self, parent)

--------------------------------------------------------------------------------
Version Numbers:
  Python 3.4.2
  Qt 5.3.0
  PyQt5 5.3.2
  sip 4.16.3
  QScintilla 2.8.3
  WebKit 538.1
  eric6 @@VERSION@@ (rev. @@REVISION@@)

Platform: linux
3.4.2 (default, Oct  8 2014, 13:08:17) 
[GCC 4.9.1]
--------------------------------------------------------------------------------
Distribution Info:
  /etc/os-release
  NAME="Ubuntu"
  VERSION="14.10 (Utopic Unicorn)"
  ID=ubuntu
  ID_LIKE=debian
  PRETTY_NAME="Ubuntu 14.10"
  VERSION_ID="14.10"
  HOME_URL="xxxxwww.ubuntu.com/"
  SUPPORT_URL="xxxxhelp.ubuntu.com/"
  BUG_REPORT_URL="xxxxbugs.launchpad.net/ubuntu/"

  /etc/lsb-release
  DISTRIB_ID=Ubuntu
  DISTRIB_RELEASE=14.10
  DISTRIB_CODENAME=utopic
  DISTRIB_DESCRIPTION="Ubuntu 14.10"
History
Date User Action Args
2014-11-10 06:21:40Davy39setmessage_count: 6.0 -> 7.0
messages: + msg584
2014-11-09 06:30:22Davy39setmessage_count: 7.0 -> 6.0
messages: - msg581
2014-11-09 06:29:50Davy39setmessage_count: 6.0 -> 7.0
messages: + msg582
2014-11-09 03:29:06Davy39setmessage_count: 5.0 -> 6.0
messages: + msg581
2014-11-07 17:37:59detlevsetmessage_count: 4.0 -> 5.0
messages: + msg580
2014-11-07 03:58:34Davy39setmessage_count: 3.0 -> 4.0
messages: + msg579
2014-11-07 03:02:30Davy39setmessage_count: 2.0 -> 3.0
messages: + msg578
2014-11-06 18:53:10detlevsetstatus: new -> closed
resolution: rejected
messages: + msg576
message_count: 1.0 -> 2.0
nosy: + detlev
2014-11-06 04:13:45Davy39create